Bug 809747 - Review Request: glassfish-jsp - Glassfish J2EE JSP API implementation
Review Request: glassfish-jsp - Glassfish J2EE JSP API implementation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On: 805864
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 05:23 EDT by Stanislav Ochotnicky
Modified: 2014-01-12 19:26 EST (History)
4 users (show)

See Also:
Fixed In Version: glassfish-jsp-2.2.3-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 16:53:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kdaniel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2012-04-04 05:23:24 EDT
Spec URL: http://sochotni.fedorapeople.org/packages/glassfish-jsp.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/glassfish-jsp-2.2.3-1.fc16.src.rpm


Description:
This project provides a container independent implementation of JSP
2.2. The main goals are:
  * Improves current implementation: bug fixes and performance
    improvements
  * Provides API for use by other tools, such as Netbeans
  * Provides a sandbox for new JSP features; provides a reference
    implementation of next JSP spec.
Comment 1 Krzysztof Daniel 2012-04-10 10:07:26 EDT
I will take this one.
Comment 2 Krzysztof Daniel 2012-04-10 10:23:18 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
glassfish-jsp.spec:37: W: unversioned-explicit-provides jsp%{jspspec}
glassfish-jsp.spec:27: W: mixed-use-of-spaces-and-tabs (spaces: line 27, tab: line 5)
glassfish-jsp.spec: W: invalid-url Source0: javax.servlet.jsp-2.2.3.tar.xz
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[?]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: CDDL and GPLv2 with exceptions
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[?]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :
MD5SUM upstream package:
[?]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[?]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[?]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[x]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[?]  Reviewer should test that the package builds in mock.
Tested on:


=== Issues ===
1. glassfish-jsp.spec:37: W: unversioned-explicit-provides jsp%{jspspec}
2. glassfish-jsp.spec:27: W: mixed-use-of-spaces-and-tabs (spaces: line 27, 
tab: line 5)
3. package does not have BuildRequires/Requires on jpackage-utils.
4. I have not found add_maven_depmap in pom

I will check the rest when the package will have all prerequisities built.
Comment 3 Stanislav Ochotnicky 2012-04-11 04:41:33 EDT
Spec URL: http://sochotni.fedorapeople.org/packages/glassfish-jsp.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/glassfish-jsp-2.2.3-2.fc16.src.rpm


I've fixed the BR/R on jpackage and the whitespace, but as far as I see I already had the add_maven_depmap call in the spec. I assume that was what you meant by "I have not found add_maven_depmap in pom"? Also the unversioned provides: version is in the name of the api
Comment 4 Krzysztof Daniel 2012-04-11 05:41:24 EDT
(In reply to comment #3)
Sorry for the unnecessary hassle - of course the maven depmap are there.
One thing that is left is building this package.
Comment 5 Stanislav Ochotnicky 2012-04-12 09:17:54 EDT
Hmm, again...the package builds fine in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3985263

F17 doesn't have all dependencies yet, but that's only a matter of time.
Comment 6 Stanislav Ochotnicky 2012-04-19 08:38:15 EDT
Builds even in F17 currently:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4005287
Comment 7 Krzysztof Daniel 2012-04-19 11:34:31 EDT
================
*** APPROVED ***
================
Comment 8 Stanislav Ochotnicky 2012-04-24 07:31:38 EDT
Bah, lost track of things. 
New Package SCM Request
=======================
Package Name: glassfish-jsp
Short Description: Glassfish J2EE JSP API implementation
Owners: sochotni
Branches: F17
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2012-04-24 08:47:40 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-04-24 09:33:51 EDT
glassfish-jsp-2.2.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glassfish-jsp-2.2.3-2.fc17
Comment 11 Fedora Update System 2012-04-25 00:46:37 EDT
glassfish-jsp-2.2.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-05-02 16:53:53 EDT
glassfish-jsp-2.2.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.